View Issue Details

IDProjectCategoryView StatusLast Update
17166Bug reportsSurvey participants (Tokens)public2021-05-07 12:30
Reportereastudium Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version4.4.7 
Summary17166: Survey participants button missing for View Participants permission
DescriptionThe button to access to the participants list is not available for an user with only participants view permission.
Steps To ReproduceCreate a user
Create a survey
Add the user to the "Survey permissions" with the "View/read" permission for "Participants"

Switch to this user
There is no button to access to the list of participants

Switch to admin user, add "Create" permission for "Participants" to the user

Switch to the user
You have now the button "Survey participants" in "Overview" menu.
Copy the url for this button (mydomain/admin/tokens/sa/index/surveyid/xxxxxx)

Switch to admin user, remove the "Create" permission.

Switch to the user. Past the url, you have access to the survey participants as expected. But still no button to access to it...

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.11+210301
I will donate to the project if issue is resolvedNo
BrowserFirefox 86.0
Database & DB-VersionMySql 5.7.24
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.14

Related Changesets

LimeSurvey: master 2bead244

2021-05-06 15:37:48

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17166: Survey participants button missing for View Participants permission (#1867)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17166
mod - application/core/TopbarConfiguration.php Diff File
mod - application/extensions/TopbarWidget/views/includes/surveyTopbarLeft_view.php Diff File

Issue History

Date Modified Username Field Change
2021-03-08 10:52 eastudium New Issue
2021-04-30 16:18 gabrieljenik Priority none => high
2021-04-30 16:18 gabrieljenik Severity minor => partial_block
2021-04-30 16:18 gabrieljenik Assigned To => gabrieljenik
2021-04-30 16:18 gabrieljenik Status new => assigned
2021-05-04 18:08 gabrieljenik Note Added: 64234
2021-05-04 18:08 gabrieljenik Status assigned => testing
2021-05-06 15:37 gabrieljenik Changeset attached => LimeSurvey master 2bead244
2021-05-06 15:37 gabrieljenik Note Added: 64274
2021-05-06 15:37 gabrieljenik Resolution open => fixed
2021-05-07 12:30 ollehar Status testing => resolved